* {
    margin: 0;
    padding: 0;
}

body {
    background: rgb(0, 0, 0);
    color: white;
}

input::placeholder {
  user-select: none;
}

#studentName {
    font-size: 40px;
    /* Increase font size for emphasis */
    font-weight: 900;
    /* Extra bold weight */
    font-style: italic;
    font-family: "Impact", "Arial Black", sans-serif;
    /* Bold font styles */
    color: white;
    display: block;
}

.bigbutton {
    font-size: 80px;
    /* Increase font size for emphasis */
    font-weight: 900;

    -webkit-user-select: none; /* Safari */
    -moz-user-select: none;    /* Firefox */
    -ms-user-select: none;     /* IE 10+ and Edge */
    user-select: none;         /* Standard syntax */    

    /* Extra bold weight */
    font-style: italic;
    font-family: "Impact", "Arial Black", sans-serif;
    /* Bold font styles */
    width: 100%;
    border: none;
    cursor: pointer;
    background-color: #16a085;
    color: white;
    display: block;
    border: #478276 2px solid;
    /* Makes each button a block-level element */
    transition: background-color 0.3s ease-in-out;
    text-shadow:
        2px 2px 0 black,
        -2px 2px 0 black,
        2px -2px 0 black,
        -2px -2px 0 black,
        2px 0 0 black,
        -2px 0 0 black,
        0 2px 0 black,
        0 -2px 0 black;
}

button img {
    width: 100%;
    border-radius: 10px;
}

button:hover {
    background-color: #478276;
    color: #16a085;
    text-shadow:
        2px 2px 0 white,
        -2px 2px 0 white,
        2px -2px 0 white,
        -2px -2px 0 white,
        2px 0 0 white,
        -2px 0 0 white,
        0 2px 0 white,
        0 -2px 0 white;
}

#buttons {
    display: block;
}

#pass {
    display: none;
}

#logo {
    width: 150px;
}

#buttonPreview {
    background-color: #c6e23a;
    color: black;
    border: #99ab40 2px solid;
    transition: background-color 0.3s ease-in-out;
    text-shadow:
        2px 2px 0 white,
        -2px 2px 0 white,
        2px -2px 0 white,
        -2px -2px 0 white,
        2px 0 0 white,
        -2px 0 0 white,
        0 2px 0 white,
        0 -2px 0 white;
    /* Creates the outline effect */
}

#buttonPreview:hover {
    background-color: black;
    border: black solid 2px;
    color: #c6e23a;
    text-shadow:
        2px 2px 0 black,
        -2px 2px 0 black,
        2px -2px 0 black,
        -2px -2px 0 black,
        2px 0 0 black,
        -2px 0 0 black,
        0 2px 0 black,
        0 -2px 0 black;
}

#preview_video {
    display: none;
    align-items: flex-start;
    border: 2px solid gray;
    border-radius: 10px;
    overflow: hidden;
    width: 100%;
    height: 210px;
}

#video,
#canvas {
    background: black;
    width: 280px;
    height: 210px;
}

@media print {

    html,
    body {
        background: white;
        color: black;
        height: auto !important;
        overflow: visible;
    }

    * {
        margin: 0;
        padding: 0;
    }

    h2 {
        font-size: 2em;
    }

    p {
        font-size: 1.5em;
        width: 200px;
        text-align: right;
    }
@page {
    margin-bottom: 0;
  }
    #pass_page,
    #month_picker {
        display: none !important;
        height: 0px;
    }

    #pass {
        border: 0px solid gray;
        text-align: center;
        display: flex;
        justify-content: center;
        width: 310px;
        display: block;
    }

    #logo {
        width: 120px;
        text-align: left;
    }
}

#photo {
    /*border: 1px solid gray;*/
    width: 180px;
    height: 105px;
    border-radius: 20px;
}

#color_photo {
    display: none;
}

#signature {
    height: 30px;
}

#wiessmannsig {
  display: block;
  margin-left: auto;
  margin-right: 0;
    height: 30px;
}

#wiessmannpic {
    width: 90px;
    border-radius: 100%;
    text-align: left;
}

#txtcontainer {
    display: flex;
    align-items: flex-start;
}

#floatingWindow {
    position: fixed;
    bottom: 20px;
    /* Position from the bottom */
    right: 20px;
    /* Position from the right */
    width: 320px;
    /* Fixed width */
    height: 170px;
    /* Fixed height, adjust based on your preference */
    background-color: #478276;
    border: 2px solid #16a085;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    z-index: 9999;
    opacity: 0.5;
}

#floatingWindow:hover {
    opacity: 1;
}

#settings {
    height: 100%;
    /* Ensure it takes up full height of the container */
    overflow-y: auto;
    /* Allow scrolling inside if needed */
}

.settings-item {
    padding: 3px;
}

#floatingWindow .header {
    cursor: move;
    height: 40px;
    background-color: #16a085;
    color: white;
    text-align: center;
    border-radius: 8px 8px 0 0;
    display: flex;
    justify-content: center;
    /* Centers text horizontally */
    align-items: center;
    /* Centers text vertically */
}

#pass_page {
    height: 100vh;
    margin: 0;
    padding: 0;
}

#text-entry {
    margin-left: auto;
}

.top-setting {
    display: block;
    background: white;
    color: black;
    font-size: 60px;
    /* Increase font size for emphasis */
    font-weight: 900;
    /* Extra bold weight */
    font-style: italic;
    font-family: "Impact", "Arial Black", sans-serif;
}